[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStreamRec

Record used in streaming mechanism.

## Declaration

Source position: objects.pp line 209

`type TStreamRec = packed record`
`ObjType: Sw_Word;` |  | Unique identifier for this object type.
`VmtLink: pointer;` |  | Pointer to object VMT
`Load: Pointer;` |  | Procedure to call when object must be loaded from a stream
`Store: Pointer;` |  | Procedure to call when object must be stored in a stream.
`Next: PStreamRec;` |  | Next item in list
`end;`

## Description

TSreamRec is used by the Objects unit streaming mechanism: when an object is registered, a TStreamRec record is added to a list of records. This list is used when objects need to be streamed from/streamed to a stream. It contains all the information needed to stream the object.

Documentation generated on: Feb 26 2014